/*
 *  libpipi       Proper image processing implementation library
 *  Copyright (c) 2004-2008 Sam Hocevar <sam@zoy.org>
 *                All Rights Reserved
 *
 *  $Id$
 *
 *  This library is free software. It comes without any warranty, to
 *  the extent permitted by applicable law. You can redistribute it
 *  and/or modify it under the terms of the Do What The Fuck You Want
 *  To Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

/*
 * pipi_internals.h: internal types
 */

#ifndef __CACA_INTERNALS_H__
#define __CACA_INTERNALS_H__

struct pipi_image
{
    int width, height, pitch, channels;
    unsigned char *pixels;
    void *priv;
};

#endif /* __PIPI_INTERNALS_H__ */

